Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database/3.2/HeuristicLab.Modeling.Database-3.2.csproj
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database/3.2/HeuristicLab.Modeling.Database-3.2.csproj	(revision 2190)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database/3.2/HeuristicLab.Modeling.Database-3.2.csproj	(revision 2191)
@@ -33,4 +33,36 @@
     <WarningLevel>4</WarningLevel>
   </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
   <ItemGroup>
     <Reference Include="System" />
@@ -48,5 +80,14 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="IInputVariableResult.cs" />
+    <Compile Include="IAlgorithm.cs" />
+    <Compile Include="IProblem.cs" />
+    <Compile Include="IVariable.cs" />
+    <Compile Include="IInputVariable.cs" />
     <Compile Include="HeuristicLabModelingDatabasePlugin.cs" />
+    <Compile Include="IModel.cs" />
+    <Compile Include="IModelingDatabase.cs" />
+    <Compile Include="IModelResult.cs" />
+    <Compile Include="IResult.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
@@ -56,5 +97,5 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
+    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
       <Name>HeuristicLab.PluginInfrastructure</Name>
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling/3.2/HeuristicLab.Modeling-3.2.csproj
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling/3.2/HeuristicLab.Modeling-3.2.csproj	(revision 2190)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling/3.2/HeuristicLab.Modeling-3.2.csproj	(revision 2191)
@@ -83,8 +83,4 @@
   <ItemGroup>
     <Compile Include="ClassificationProblemInjector.cs" />
-    <Compile Include="IDatabaseModel.cs" />
-    <Compile Include="IResult.cs" />
-    <Compile Include="IModelResult.cs" />
-    <Compile Include="IModelingDatabase.cs" />
     <Compile Include="VariableImpactCalculatorBase.cs" />
     <Compile Include="VariableEvaluationImpactCalculator.cs" />
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.sln
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.sln	(revision 2190)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.sln	(revision 2191)
@@ -242,5 +242,5 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SQLServerCompact-3.2", "HeuristicLab.SQLServerCompact\3.2\HeuristicLab.SQLServerCompact-3.2.csproj", "{31DD6385-7276-49ED-9533-823D4CDF3D2A}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Modeling.Database-3.2", "HeuristicLab.Modeling.Database\HeuristicLab.Modeling.Database-3.2.csproj", "{E84E5717-79F8-498F-A5E0-A055C4EC086B}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Modeling.Database-3.2", "HeuristicLab.Modeling.Database\3.2\HeuristicLab.Modeling.Database-3.2.csproj", "{E84E5717-79F8-498F-A5E0-A055C4EC086B}"
 EndProject
 Global
@@ -3871,6 +3871,8 @@
 		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Debug|x64.ActiveCfg = Debug|x64
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Debug|x64.Build.0 = Debug|x64
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Debug|x86.ActiveCfg = Debug|x86
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Debug|x86.Build.0 = Debug|x86
 		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Modeling Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Modeling Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -3879,6 +3881,8 @@
 		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Release|Any CPU.Build.0 = Release|Any CPU
-		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Release|x64.ActiveCfg = Release|Any CPU
-		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Release|x86.ActiveCfg = Release|Any CPU
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Release|x64.ActiveCfg = Release|x64
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Release|x64.Build.0 = Release|x64
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Release|x86.ActiveCfg = Release|x86
+		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.Release|x86.Build.0 = Release|x86
 		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.v3.2 Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E84E5717-79F8-498F-A5E0-A055C4EC086B}.v3.2 Debug|Any CPU.Build.0 = Debug|Any CPU