Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/Algorithm.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.SQLServerCompactBackend/3.2/DataObjects/Algorithm.cs	(revision 2190)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/Algorithm.cs	(revision 2194)
@@ -6,7 +6,7 @@
 using System.Text;
 
-namespace HeuristicLab.Modeling.SQLServerCompactBackend {
+namespace HeuristicLab.Modeling.Database.SQLServerCompact {
   [Table(Name = "Algorithm")]
-  public class Algorithm {
+  public class Algorithm : IAlgorithm  {
     public Algorithm() {
     }
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/InputVariable.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.SQLServerCompactBackend/3.2/DataObjects/InputVariable.cs	(revision 2190)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/InputVariable.cs	(revision 2194)
@@ -5,7 +5,7 @@
 using System.Text;
 
-namespace HeuristicLab.Modeling.SQLServerCompactBackend {
+namespace HeuristicLab.Modeling.Database.SQLServerCompact {
   [Table(Name = "InputVariable")]
-  public class InputVariable {
+  public class InputVariable : IInputVariable {
     public InputVariable() {
       this.model = default(EntityRef<Model>);
@@ -27,5 +27,5 @@
           if (variable.HasLoadedOrAssignedValue)
             throw new ForeignKeyReferenceAlreadyHasValueException();
-          variableId = value;
+          variableId = value;          
         }
       }
@@ -34,5 +34,5 @@
     private EntityRef<Variable> variable;
     [Association(Storage = "variable", ThisKey = "VariableId", OtherKey = "Id", IsForeignKey = true)]
-    public Variable Variable {
+    public IVariable Variable {
       get { return variable.Entity; }
     }
@@ -53,5 +53,5 @@
     private EntityRef<Model> model;
     [Association(Storage = "model", ThisKey = "ModelId", OtherKey = "Id", IsForeignKey = true)]
-    public Model Model {
+    public IModel Model {
       get { return model.Entity; }
     }
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/InputVariableResult.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.SQLServerCompactBackend/3.2/DataObjects/InputVariableResult.cs	(revision 2190)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/InputVariableResult.cs	(revision 2194)
@@ -5,7 +5,7 @@
 using System.Text;
 
-namespace HeuristicLab.Modeling.SQLServerCompactBackend {
+namespace HeuristicLab.Modeling.Database.SQLServerCompact {
   [Table(Name="InputVariableResult")]
-  public class InputVariableResult {
+  public class InputVariableResult : IInputVariableResult {
     public InputVariableResult() {
       this.model = default(EntityRef<Model>);
@@ -16,6 +16,6 @@
     public InputVariableResult(InputVariable inputVariable, Result result, double value)
       : this() {
-      this.variable.Entity = inputVariable.Variable;
-      this.model.Entity = inputVariable.Model;
+      this.variable.Entity = (Variable)inputVariable.Variable;
+      this.model.Entity = (Model)inputVariable.Model;
       this.result.Entity = result;
       this.value = value;
@@ -37,5 +37,5 @@
     private EntityRef<Variable> variable;
     [Association(Storage = "variable", ThisKey = "VariableId", OtherKey = "Id", IsForeignKey = true)]
-    public Variable Variable {
+    public IVariable Variable {
       get { return variable.Entity; }
     }
@@ -56,5 +56,5 @@
     private EntityRef<Model> model;
     [Association(Storage = "model", ThisKey = "ModelId", OtherKey = "Id", IsForeignKey = true)]
-    public Model Model {
+    public IModel Model {
       get { return model.Entity; }
     }
@@ -75,5 +75,5 @@
     private EntityRef<Result> result;
     [Association(Storage = "result", ThisKey = "ResultId", OtherKey = "Id", IsForeignKey = true)]
-    public Result Result {
+    public IResult Result {
       get { return result.Entity; }
     }
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/Model.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.SQLServerCompactBackend/3.2/DataObjects/Model.cs	(revision 2190)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/Model.cs	(revision 2194)
@@ -6,5 +6,5 @@
 using System.Text;
 
-namespace HeuristicLab.Modeling.SQLServerCompactBackend {
+namespace HeuristicLab.Modeling.Database.SQLServerCompact {
   [Table(Name = "Model")]
   public class Model : IModel{
@@ -14,9 +14,9 @@
     }
 
-    public Model(Variable targetVariable, Algorithm algorithm, byte[] model)
+    public Model(Variable targetVariable, Algorithm algorithm, byte[] data)
       : this() {
       this.TargetVariable = targetVariable;
       this.Algorithm = algorithm;
-      this.modelData = model;
+      this.Data = data;
     }
 
@@ -28,9 +28,9 @@
     }
 
-    private byte[] modelData;
+    private byte[] data;
     [Column(Storage = "model", DbType = "image", CanBeNull = false)]
-    public byte[] ModelData {
-      get { return this.modelData; }
-      set { this.modelData = value; }
+    public byte[] Data {
+      get { return this.data; }
+      set { this.data = value; }
     }
 
@@ -50,7 +50,7 @@
     private EntityRef<Algorithm> algorithm;
     [Association(Storage = "algorithm", ThisKey = "AlgorithmId", OtherKey = "Id", IsForeignKey = true)]
-    public Algorithm Algorithm {
+    public IAlgorithm Algorithm {
       get { return this.algorithm.Entity; }
-      set {
+      private set {
         Algorithm previousValue = algorithm.Entity;
         if (previousValue != value || (!algorithm.HasLoadedOrAssignedValue)) {
@@ -58,7 +58,7 @@
             algorithm.Entity = null;
           }
-          algorithm.Entity = value;
+          algorithm.Entity = (Algorithm)value;
           if (value != null) {
-            algorithmId = value.Id;
+            algorithmId = ((Algorithm)value).Id;
           }
         }
@@ -81,7 +81,7 @@
     private EntityRef<Variable> targetVariable;
     [Association(Storage = "targetVariable", ThisKey = "TargetVariableId", OtherKey = "Id", IsForeignKey = true)]
-    public Variable TargetVariable {
+    public IVariable TargetVariable {
       get { return this.targetVariable.Entity; }
-      set {
+      private set {
         Variable previousValue = targetVariable.Entity;
         if (previousValue != value || (!targetVariable.HasLoadedOrAssignedValue)) {
@@ -89,7 +89,7 @@
             targetVariable.Entity = null;
           }
-          targetVariable.Entity = value;
+          targetVariable.Entity = (Variable)value;
           if (value != null) {
-            targetVariableId = value.Id;
+            targetVariableId = ((Variable)value).Id;
           } 
         }
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/ModelResult.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.SQLServerCompactBackend/3.2/DataObjects/ModelResult.cs	(revision 2190)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/ModelResult.cs	(revision 2194)
@@ -5,5 +5,5 @@
 using System.Text;
 
-namespace HeuristicLab.Modeling.SQLServerCompactBackend {
+namespace HeuristicLab.Modeling.Database.SQLServerCompact {
   [Table(Name = "ModelResult")]
   public class ModelResult {
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/Problem.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.SQLServerCompactBackend/3.2/DataObjects/Problem.cs	(revision 2190)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/Problem.cs	(revision 2194)
@@ -7,5 +7,5 @@
 using HeuristicLab.DataAnalysis;
 
-namespace HeuristicLab.Modeling.SQLServerCompactBackend {
+namespace HeuristicLab.Modeling.Database.SQLServerCompact {
   [Table(Name = "Problem")]
   public class Problem {
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/Result.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.SQLServerCompactBackend/3.2/DataObjects/Result.cs	(revision 2190)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/Result.cs	(revision 2194)
@@ -6,5 +6,5 @@
 using System.Text;
 
-namespace HeuristicLab.Modeling.SQLServerCompactBackend {
+namespace HeuristicLab.Modeling.Database.SQLServerCompact {
   [Table(Name = "Result")]
   public class Result : IResult {
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/Variable.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.SQLServerCompactBackend/3.2/DataObjects/Variable.cs	(revision 2190)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DataObjects/Variable.cs	(revision 2194)
@@ -6,7 +6,7 @@
 using System.Text;
 
-namespace HeuristicLab.Modeling.SQLServerCompactBackend {
+namespace HeuristicLab.Modeling.Database.SQLServerCompact {
   [Table(Name = "Variable")]
-  public class Variable {
+  public class Variable : IVariable{
     public Variable() {
     }
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DatabaseService.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.SQLServerCompactBackend/3.2/DatabaseService.cs	(revision 2190)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DatabaseService.cs	(revision 2194)
@@ -9,6 +9,7 @@
 using HeuristicLab.GP.StructureIdentification;
 using HeuristicLab.Data;
-
-namespace HeuristicLab.Modeling.SQLServerCompactBackend {
+using System.Data.Linq;
+
+namespace HeuristicLab.Modeling.Database.SQLServerCompact {
   public class DatabaseService : IModelingDatabase {
 
@@ -29,5 +30,5 @@
     }
 
-    public void Persist(IAlgorithm algorithm) {
+    public void Persist(HeuristicLab.Modeling.IAlgorithm algorithm) {
       int trainingSamplesStart = ((IntData)algorithm.Engine.GlobalScope.GetVariableValue("TrainingSamplesStart", false)).Data;
       int trainingSamplesEnd = ((IntData)algorithm.Engine.GlobalScope.GetVariableValue("TrainingSamplesEnd", false)).Data;
@@ -179,5 +180,7 @@
 
     public IEnumerable<IResult> GetAllResults() {
-      throw new NotImplementedException();
+      using (ModelingDataContext ctx = new ModelingDataContext(connection)) {
+        return ctx.Results.AsEnumerable().Cast<IResult>();
+      }
     }
 
@@ -186,12 +189,21 @@
     #region ModelResult
     public IEnumerable<IModelResult> GetModelResults(IModel model) {
-      throw new NotImplementedException();
+      ModelingDataContext ctx = new ModelingDataContext(connection);
+      DataLoadOptions dlo = new DataLoadOptions();
+      dlo.LoadWith<ModelResult>(mr => mr.Model);
+      dlo.LoadWith<ModelResult>(mr => mr.Result);
+      ctx.LoadOptions = dlo;
+
+      var results = from result in ctx.ModelResults
+                    where result.Model == model
+                    select result;
+      return results.AsEnumerable().Cast<IModelResult>();
     }
     #endregion
 
     #region Model
-    public IEnumerable<IDatabaseModel> GetAllModels() {
-      using (ModelingDataContext ctx = new ModelingDataContext(connection)) {
-        return ctx.Models;
+    public IEnumerable<IModel> GetAllModels() {
+      using (ModelingDataContext ctx = new ModelingDataContext(connection)) {
+        return ctx.Models.AsEnumerable().Cast<IModel>();
       }
     }
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLab.Modeling.Database.SQLServerCompact-3.2.csproj
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLab.Modeling.Database.SQLServerCompact-3.2.csproj	(revision 2194)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLab.Modeling.Database.SQLServerCompact-3.2.csproj	(revision 2194)
@@ -0,0 +1,147 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>9.0.30729</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Modeling.Database.SQLServerCompact</RootNamespace>
+    <AssemblyName>HeuristicLab.Modeling.Database.SQLServerCompact-3.2</AssemblyName>
+    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <SignAssembly>true</SignAssembly>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data.Linq">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Xml.Linq">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data.DataSetExtensions">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="HeuristicLab.snk" />
+    <None Include="Properties\AssemblyInfo.frame" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.Core\3.2\HeuristicLab.Core-3.2.csproj">
+      <Project>{F43B59AB-2B8C-4570-BC1E-15592086517C}</Project>
+      <Name>HeuristicLab.Core-3.2</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.DataAnalysis\3.2\HeuristicLab.DataAnalysis-3.2.csproj">
+      <Project>{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}</Project>
+      <Name>HeuristicLab.DataAnalysis-3.2</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Data\3.2\HeuristicLab.Data-3.2.csproj">
+      <Project>{F473D9AF-3F09-4296-9F28-3C65118DAFFA}</Project>
+      <Name>HeuristicLab.Data-3.2</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.GP.StructureIdentification\3.3\HeuristicLab.GP.StructureIdentification-3.3.csproj">
+      <Project>{74223A32-C726-4978-BE78-37113A18373C}</Project>
+      <Name>HeuristicLab.GP.StructureIdentification-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Modeling.Database\3.2\HeuristicLab.Modeling.Database-3.2.csproj">
+      <Project>{E84E5717-79F8-498F-A5E0-A055C4EC086B}</Project>
+      <Name>HeuristicLab.Modeling.Database-3.2</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Modeling\3.2\HeuristicLab.Modeling-3.2.csproj">
+      <Project>{80F7FADA-549D-4151-8856-79B620A50DBA}</Project>
+      <Name>HeuristicLab.Modeling-3.2</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
+      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
+      <Name>HeuristicLab.PluginInfrastructure</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="DatabaseService.cs" />
+    <Compile Include="DataObjects\Algorithm.cs" />
+    <Compile Include="DataObjects\InputVariable.cs" />
+    <Compile Include="DataObjects\InputVariableResult.cs" />
+    <Compile Include="DataObjects\Model.cs" />
+    <Compile Include="ModelingDataContext.cs" />
+    <Compile Include="DataObjects\ModelResult.cs" />
+    <Compile Include="DataObjects\Problem.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="DataObjects\Result.cs" />
+    <Compile Include="DataObjects\Variable.cs" />
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
+  </PropertyGroup>
+</Project>
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLab.Modeling.SQLServerCompactBackend-3.2.csproj
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.SQLServerCompactBackend/3.2/HeuristicLab.Modeling.SQLServerCompactBackend-3.2.csproj	(revision 2190)
+++ 	(revision )
@@ -1,143 +1,0 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
-  <PropertyGroup>
-    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
-    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
-    <ProductVersion>9.0.30729</ProductVersion>
-    <SchemaVersion>2.0</SchemaVersion>
-    <ProjectGuid>{9B4F7D05-CCE1-45BB-81D1-5D4925851901}</ProjectGuid>
-    <OutputType>Library</OutputType>
-    <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HeuristicLab.Modeling.SQLServerCompactBackend</RootNamespace>
-    <AssemblyName>HeuristicLab.Modeling.SQLServerCompactBackend-3.2</AssemblyName>
-    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
-    <FileAlignment>512</FileAlignment>
-    <SignAssembly>true</SignAssembly>
-    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
-    <DebugSymbols>true</DebugSymbols>
-    <DebugType>full</DebugType>
-    <Optimize>false</Optimize>
-    <OutputPath>bin\Debug\</OutputPath>
-    <DefineConstants>DEBUG;TRACE</DefineConstants>
-    <ErrorReport>prompt</ErrorReport>
-    <WarningLevel>4</WarningLevel>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
-    <DebugType>pdbonly</DebugType>
-    <Optimize>true</Optimize>
-    <OutputPath>bin\Release\</OutputPath>
-    <DefineConstants>TRACE</DefineConstants>
-    <ErrorReport>prompt</ErrorReport>
-    <WarningLevel>4</WarningLevel>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
-    <DebugSymbols>true</DebugSymbols>
-    <OutputPath>bin\x64\Debug\</OutputPath>
-    <DefineConstants>DEBUG;TRACE</DefineConstants>
-    <DebugType>full</DebugType>
-    <PlatformTarget>x64</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
-    <OutputPath>bin\x64\Release\</OutputPath>
-    <DefineConstants>TRACE</DefineConstants>
-    <Optimize>true</Optimize>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>x64</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
-    <DebugSymbols>true</DebugSymbols>
-    <OutputPath>bin\x86\Debug\</OutputPath>
-    <DefineConstants>DEBUG;TRACE</DefineConstants>
-    <DebugType>full</DebugType>
-    <PlatformTarget>x86</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
-    <OutputPath>bin\x86\Release\</OutputPath>
-    <DefineConstants>TRACE</DefineConstants>
-    <Optimize>true</Optimize>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>x86</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-  </PropertyGroup>
-  <ItemGroup>
-    <Reference Include="System" />
-    <Reference Include="System.Core">
-      <RequiredTargetFramework>3.5</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.Data.Linq">
-      <RequiredTargetFramework>3.5</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.Xml.Linq">
-      <RequiredTargetFramework>3.5</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.Data.DataSetExtensions">
-      <RequiredTargetFramework>3.5</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.Data" />
-    <Reference Include="System.Xml" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="HeuristicLab.snk" />
-    <None Include="Properties\AssemblyInfo.frame" />
-  </ItemGroup>
-  <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Core\3.2\HeuristicLab.Core-3.2.csproj">
-      <Project>{F43B59AB-2B8C-4570-BC1E-15592086517C}</Project>
-      <Name>HeuristicLab.Core-3.2</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.DataAnalysis\3.2\HeuristicLab.DataAnalysis-3.2.csproj">
-      <Project>{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}</Project>
-      <Name>HeuristicLab.DataAnalysis-3.2</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Data\3.2\HeuristicLab.Data-3.2.csproj">
-      <Project>{F473D9AF-3F09-4296-9F28-3C65118DAFFA}</Project>
-      <Name>HeuristicLab.Data-3.2</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.GP.StructureIdentification\3.3\HeuristicLab.GP.StructureIdentification-3.3.csproj">
-      <Project>{74223A32-C726-4978-BE78-37113A18373C}</Project>
-      <Name>HeuristicLab.GP.StructureIdentification-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Modeling\3.2\HeuristicLab.Modeling-3.2.csproj">
-      <Project>{80F7FADA-549D-4151-8856-79B620A50DBA}</Project>
-      <Name>HeuristicLab.Modeling-3.2</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
-      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
-      <Name>HeuristicLab.PluginInfrastructure</Name>
-    </ProjectReference>
-  </ItemGroup>
-  <ItemGroup>
-    <Compile Include="DatabaseService.cs" />
-    <Compile Include="DataObjects\Algorithm.cs" />
-    <Compile Include="DataObjects\InputVariable.cs" />
-    <Compile Include="DataObjects\InputVariableResult.cs" />
-    <Compile Include="DataObjects\Model.cs" />
-    <Compile Include="ModelingDataContext.cs" />
-    <Compile Include="DataObjects\ModelResult.cs" />
-    <Compile Include="DataObjects\Problem.cs" />
-    <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="DataObjects\Result.cs" />
-    <Compile Include="DataObjects\Variable.cs" />
-  </ItemGroup>
-  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
-  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
-       Other similar extension points exist, see Microsoft.Common.targets.
-  <Target Name="BeforeBuild">
-  </Target>
-  <Target Name="AfterBuild">
-  </Target>
-  -->
-  <PropertyGroup>
-    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
-set ProjectDir=$(ProjectDir)
-set SolutionDir=$(SolutionDir)
-set Outdir=$(Outdir)
-
-call PreBuildEvent.cmd</PreBuildEvent>
-  </PropertyGroup>
-</Project>
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/ModelingDataContext.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.SQLServerCompactBackend/3.2/ModelingDataContext.cs	(revision 2190)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/ModelingDataContext.cs	(revision 2194)
@@ -6,5 +6,5 @@
 using System.Text;
 
-namespace HeuristicLab.Modeling.SQLServerCompactBackend {
+namespace HeuristicLab.Modeling.Database.SQLServerCompact {
   public class ModelingDataContext : DataContext{
     public ModelingDataContext(string connection)