Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/DispatcherBase.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/DispatcherBase.cs	(revision 2194)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/DispatcherBase.cs	(revision 2195)
@@ -105,5 +105,5 @@
 
     public IView CreateView() {
-      return new ProblemView(this);
+      return new DispatcherView(this);
     }
 
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/ExecuterBase.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/ExecuterBase.cs	(revision 2194)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/ExecuterBase.cs	(revision 2195)
@@ -39,5 +39,5 @@
 using System.Threading;
 using HeuristicLab.Modeling;
-using HeuristicLab.Modeling.SQLServerCompactBackend;
+using HeuristicLab.Modeling.Database;
 
 namespace HeuristicLab.CEDMA.Server {
@@ -74,5 +74,5 @@
 
     protected void SetResults(IScope src, IScope target) {
-      foreach (IVariable v in src.Variables) {
+      foreach (HeuristicLab.Core.IVariable v in src.Variables) {
         target.AddVariable(v);
       }
@@ -85,5 +85,5 @@
     }
 
-    protected void StoreResults(IAlgorithm finishedAlgorithm) {
+    protected void StoreResults(HeuristicLab.Modeling.IAlgorithm finishedAlgorithm) {
       databaseService.Persist(finishedAlgorithm);
       //Entity modelEntity = new Entity(Ontology.CedmaNameSpace + Guid.NewGuid());
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/GridExecuter.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/GridExecuter.cs	(revision 2194)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/GridExecuter.cs	(revision 2195)
@@ -39,10 +39,10 @@
 using System.Threading;
 using HeuristicLab.Modeling;
-using HeuristicLab.Modeling.SQLServerCompactBackend;
+using HeuristicLab.Modeling.Database;
 
 namespace HeuristicLab.CEDMA.Server {
   public class GridExecuter : ExecuterBase {
     private JobManager jobManager;
-    private Dictionary<AsyncGridResult, IAlgorithm> activeAlgorithms;
+    private Dictionary<AsyncGridResult, HeuristicLab.Modeling.IAlgorithm> activeAlgorithms;
 
     private TimeSpan StartJobInterval {
@@ -59,7 +59,7 @@
 
     public GridExecuter(IDispatcher dispatcher,  IGridServer server, IModelingDatabase databaseService)
-      : base(dispatcher, store, databaseService) {
+      : base(dispatcher, databaseService) {
       this.jobManager = new JobManager(server);
-      activeAlgorithms = new Dictionary<AsyncGridResult, IAlgorithm>();
+      activeAlgorithms = new Dictionary<AsyncGridResult, HeuristicLab.Modeling.IAlgorithm>();
       jobManager.Reset();
     }
@@ -73,5 +73,5 @@
             Thread.Sleep(StartJobInterval);
             // get an execution from the dispatcher and execute in grid via job-manager
-            IAlgorithm algorithm = Dispatcher.GetNextJob();
+            HeuristicLab.Modeling.IAlgorithm algorithm = Dispatcher.GetNextJob();
             if (algorithm != null) {
               AtomicOperation op = new AtomicOperation(algorithm.Engine.OperatorGraph.InitialOperator, algorithm.Engine.GlobalScope);
@@ -93,5 +93,5 @@
             if (readyHandleIndex != WaitHandle.WaitTimeout) {
               WaitHandle readyHandle = whArr[readyHandleIndex];
-              IAlgorithm finishedAlgorithm = null;
+              HeuristicLab.Modeling.IAlgorithm finishedAlgorithm = null;
               AsyncGridResult finishedResult = null;
               lock (activeAlgorithms) {
@@ -140,5 +140,5 @@
         string[] retVal = new string[activeAlgorithms.Count];
         int i = 0;
-        foreach (IAlgorithm a in activeAlgorithms.Values) {
+        foreach (HeuristicLab.Modeling.IAlgorithm a in activeAlgorithms.Values) {
           retVal[i++] = a.Name + " " + a.Dataset.GetVariableName(a.TargetVariable);
         }
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/HeuristicLab.CEDMA.Server-3.3.csproj
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/HeuristicLab.CEDMA.Server-3.3.csproj	(revision 2194)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/HeuristicLab.CEDMA.Server-3.3.csproj	(revision 2195)
@@ -91,4 +91,6 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="LearningTask.cs" />
+    <Compile Include="Problem.cs" />
     <Compile Include="ProblemView.cs">
       <SubType>UserControl</SubType>
@@ -158,4 +160,12 @@
       <Project>{545CE756-98D8-423B-AC2E-6E7D70926E5C}</Project>
       <Name>HeuristicLab.Grid-3.2</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Modeling.Database.SQLServerCompact\3.2\HeuristicLab.Modeling.Database.SQLServerCompact-3.2.csproj">
+      <Project>{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}</Project>
+      <Name>HeuristicLab.Modeling.Database.SQLServerCompact-3.2</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Modeling.Database\3.2\HeuristicLab.Modeling.Database-3.2.csproj">
+      <Project>{E84E5717-79F8-498F-A5E0-A055C4EC086B}</Project>
+      <Name>HeuristicLab.Modeling.Database-3.2</Name>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Modeling\3.2\HeuristicLab.Modeling-3.2.csproj">
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/Problem.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/Problem.cs	(revision 2194)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/Problem.cs	(revision 2195)
@@ -126,5 +126,5 @@
     }
 
-    public override IView CreateView() {
+    public IView CreateView() {
       return new ProblemView(this);
     }
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/ProblemView.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/ProblemView.cs	(revision 2194)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/ProblemView.cs	(revision 2195)
@@ -31,4 +31,5 @@
 using HeuristicLab.DataAnalysis;
 using System.Diagnostics;
+using HeuristicLab.CEDMA.Core;
 
 namespace HeuristicLab.CEDMA.Server {
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/Server.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/Server.cs	(revision 2194)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/Server.cs	(revision 2195)
@@ -34,5 +34,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Modeling.Database;
-using HeuristicLab.Modeling.Database.SqlServerCompact;
+using HeuristicLab.Modeling.Database.SQLServerCompact;
 
 namespace HeuristicLab.CEDMA.Server {
@@ -47,4 +47,5 @@
     public IExecuter Executer { get { return executer; } }
     private Problem problem;
+    public Problem Problem { get { return problem; } }
 
     private string gridServiceUrl;
Index: branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/ServerApplication.cs
===================================================================
--- branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/ServerApplication.cs	(revision 2194)
+++ branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/ServerApplication.cs	(revision 2195)
@@ -31,5 +31,4 @@
     public override void Run() {
       Server server = new Server();
-      server.Start();
       Form mainForm = new Form();
       UserControl serverControl = (UserControl)server.CreateView();