Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Charting/3.3/BubbleChart.cs
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Charting/3.3/BubbleChart.cs	(revision 2206)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Charting/3.3/BubbleChart.cs	(revision 2207)
@@ -326,6 +326,5 @@
         ResultsEntry entry = GetResultsEntry(point);
         if (entry != null) {
-          string serializedData = (string)entry.Get(Ontology.SerializedData.Uri.Replace(Ontology.CedmaNameSpace, ""));
-          var model = (IItem)PersistenceManager.RestoreFromGZip(Convert.FromBase64String(serializedData));
+          var model = (IItem)PersistenceManager.RestoreFromGZip((byte[])entry.Get("PersistedData"));
           PluginManager.ControlManager.ShowControl(model.CreateView());
         }
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Core/3.3/HeuristicLab.CEDMA.Core-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Core/3.3/HeuristicLab.CEDMA.Core-3.3.csproj	(revision 2206)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Core/3.3/HeuristicLab.CEDMA.Core-3.3.csproj	(revision 2207)
@@ -108,8 +108,4 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.CEDMA.DB.Interfaces\3.3\HeuristicLab.CEDMA.DB.Interfaces-3.3.csproj">
-      <Project>{4F9BB789-D561-436B-B226-2BF44B7D0804}</Project>
-      <Name>HeuristicLab.CEDMA.DB.Interfaces-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Core\3.2\HeuristicLab.Core-3.2.csproj">
       <Project>{F43B59AB-2B8C-4570-BC1E-15592086517C}</Project>
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Core/3.3/Results.cs
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Core/3.3/Results.cs	(revision 2206)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Core/3.3/Results.cs	(revision 2207)
@@ -58,5 +58,5 @@
     }
 
-    private string[] multiDimensionalOrdinalVariables = new string[] { "VariableImpacts: EvaluationImpact", "VariableImpacts: QualityImpact" };
+    private string[] multiDimensionalOrdinalVariables;
     public string[] MultiDimensionalOrdinalVariables {
       get { return multiDimensionalOrdinalVariables; }
@@ -74,4 +74,5 @@
     public Results(IModelingDatabase database) {
       this.database = database;
+      multiDimensionalOrdinalVariables = database.GetAllResultsForInputVariables().Select(x => "VariableImpacts: "+ x.Name).ToArray();
     }
 
@@ -93,4 +94,15 @@
         modelEntry.Set("PersistedData", model.Data);
         modelEntry.Set("TargetVariable", model.TargetVariable.Name);
+        Dictionary<HeuristicLab.Modeling.Database.IVariable, ResultsEntry> inputVariableResultsEntries = 
+          new Dictionary<HeuristicLab.Modeling.Database.IVariable, ResultsEntry>();
+
+        foreach (IInputVariableResult inputVariableResult in database.GetInputVariableResults(model)) {
+          if (!inputVariableResultsEntries.ContainsKey(inputVariableResult.Variable)) {
+            inputVariableResultsEntries[inputVariableResult.Variable] = new ResultsEntry();
+            inputVariableResultsEntries[inputVariableResult.Variable].Set("InputVariableName", inputVariableResult.Variable.Name);
+            }
+           inputVariableResultsEntries[inputVariableResult.Variable].Set(inputVariableResult.Result.Name, inputVariableResult.Value);
+        }
+        modelEntry.Set("VariableImpacts", inputVariableResultsEntries.Values);
         entries.Add(modelEntry);
       }
@@ -100,51 +112,4 @@
       return entries;
     }
-
-    //private IEnumerable<ResultsEntry> SelectVariableImpacts(string modelUri) {
-    //  var inputVariableNameBindings = store.Query(
-    //      "<" + modelUri + "> <" + Ontology.HasInputVariable + "> ?InputVariable ." +
-    //      "?InputVariable <" + Ontology.Name + "> ?InputName .",
-    //      0, PAGE_SIZE);
-
-    //  var qualityImpactBindings = store.Query(
-    //      "<" + modelUri + "> <" + Ontology.HasInputVariable + "> ?InputVariable ." +
-    //      "?InputVariable <" + Ontology.QualityImpact + "> ?QualityImpact .",
-    //      0, PAGE_SIZE);
-
-    //  var evaluationImpactBindings = store.Query(
-    //       "<" + modelUri + "> <" + Ontology.HasInputVariable + "> ?InputVariable ." +
-    //       "?InputVariable <" + Ontology.EvaluationImpact + "> ?EvaluationImpact .",
-    //       0, PAGE_SIZE);
-    //  Dictionary<object, ResultsEntry> inputVariableAttributes = new Dictionary<object, ResultsEntry>();
-
-    //  foreach (var inputVariableNameBinding in inputVariableNameBindings) {
-    //    object inputVariable = inputVariableNameBinding.Get("InputVariable");
-    //    object name = ((Literal)inputVariableNameBinding.Get("InputName")).Value;
-    //    if (!inputVariableAttributes.ContainsKey(inputVariable)) {
-    //      inputVariableAttributes[inputVariable] = new ResultsEntry();
-    //      inputVariableAttributes[inputVariable].Set("InputVariableName", name);
-    //    }
-    //  }
-
-    //  foreach (var qualityImpactBinding in qualityImpactBindings) {
-    //    double qualityImpact = (double)((Literal)qualityImpactBinding.Get("QualityImpact")).Value;
-    //    object inputVariable = qualityImpactBinding.Get("InputVariable");
-    //    if (!IsAlmost(qualityImpact, 1.0)) {
-    //      if (inputVariableAttributes[inputVariable].Get("QualityImpact") == null)
-    //        inputVariableAttributes[inputVariable].Set("QualityImpact", qualityImpact);
-    //    } else inputVariableAttributes.Remove(inputVariable);
-    //  }
-
-    //  foreach (var evaluationImpactBinding in evaluationImpactBindings) {
-    //    double evaluationImpact = (double)((Literal)evaluationImpactBinding.Get("EvaluationImpact")).Value;
-    //    object inputVariable = evaluationImpactBinding.Get("InputVariable");
-    //    if (!IsAlmost(evaluationImpact, 0.0)) {
-    //      if (inputVariableAttributes.ContainsKey(inputVariable) && inputVariableAttributes[inputVariable].Get("EvaluationImpact") == null)
-    //        inputVariableAttributes[inputVariable].Set("EvaluationImpact", evaluationImpact);
-    //    } else inputVariableAttributes.Remove(inputVariable);
-    //  }
-
-    //  return inputVariableAttributes.Values;
-    //}
 
     private bool IsAlmost(double x, double y) {
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Core/3.3/TableResultsView.cs
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Core/3.3/TableResultsView.cs	(revision 2206)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Core/3.3/TableResultsView.cs	(revision 2207)
@@ -10,5 +10,4 @@
 using HeuristicLab.CEDMA.Core;
 using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.CEDMA.DB.Interfaces;
 
 namespace HeuristicLab.CEDMA.Core {
@@ -70,6 +69,5 @@
         DataGridView.HitTestInfo hitInfo = dataGridView.HitTest(e.X, e.Y);
         ResultsEntry entry = (ResultsEntry)dataGridView.Rows[hitInfo.RowIndex].Tag;
-        string serializedData =  (string)entry.Get(Ontology.SerializedData.Uri.Replace(Ontology.CedmaNameSpace, ""));
-        var model = (IItem)PersistenceManager.RestoreFromGZip(Convert.FromBase64String(serializedData));
+        var model = (IItem)PersistenceManager.RestoreFromGZip((byte[])entry.Get("PersistedData"));
         PluginManager.ControlManager.ShowControl(model.CreateView());
       }
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/DispatcherView.cs
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/DispatcherView.cs	(revision 2206)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/DispatcherView.cs	(revision 2207)
@@ -18,5 +18,4 @@
       UpdateControls();
       dispatcher.Changed += (sender, args) => UpdateControls();
-      this.targetVariableList.CheckOnClick = true;
       this.inputVariableList.CheckOnClick = true;
     }
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/HeuristicLab.CEDMA.Server-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/HeuristicLab.CEDMA.Server-3.3.csproj	(revision 2206)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/HeuristicLab.CEDMA.Server-3.3.csproj	(revision 2207)
@@ -133,12 +133,4 @@
       <Name>HeuristicLab.CEDMA.Core-3.3</Name>
     </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.CEDMA.DB.Interfaces\3.3\HeuristicLab.CEDMA.DB.Interfaces-3.3.csproj">
-      <Project>{4F9BB789-D561-436B-B226-2BF44B7D0804}</Project>
-      <Name>HeuristicLab.CEDMA.DB.Interfaces-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.CEDMA.DB\3.3\HeuristicLab.CEDMA.DB-3.3.csproj">
-      <Project>{B3D6D8D9-2B1F-47EC-9C73-77FAECF87310}</Project>
-      <Name>HeuristicLab.CEDMA.DB-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Core\3.2\HeuristicLab.Core-3.2.csproj">
       <Project>{F43B59AB-2B8C-4570-BC1E-15592086517C}</Project>
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DatabaseService.cs
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DatabaseService.cs	(revision 2206)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/DatabaseService.cs	(revision 2207)
@@ -193,4 +193,10 @@
     }
 
+    public IEnumerable<IResult> GetAllResultsForInputVariables() {
+      using(ModelingDataContext ctx = new ModelingDataContext(connection) ){
+        return (from ir in ctx.InputVariableResults  select ir.Result).Distinct().ToList().Cast<IResult>();
+      }
+    }
+
     #endregion
 
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLab.Modeling.Database.SQLServerCompact-3.2.csproj
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLab.Modeling.Database.SQLServerCompact-3.2.csproj	(revision 2206)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLab.Modeling.Database.SQLServerCompact-3.2.csproj	(revision 2207)
@@ -99,8 +99,4 @@
       <Name>HeuristicLab.Data-3.2</Name>
     </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.GP.StructureIdentification\3.3\HeuristicLab.GP.StructureIdentification-3.3.csproj">
-      <Project>{74223A32-C726-4978-BE78-37113A18373C}</Project>
-      <Name>HeuristicLab.GP.StructureIdentification-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Modeling.Database\3.2\HeuristicLab.Modeling.Database-3.2.csproj">
       <Project>{E84E5717-79F8-498F-A5E0-A055C4EC086B}</Project>
@@ -122,4 +118,5 @@
     <Compile Include="DataObjects\InputVariableResult.cs" />
     <Compile Include="DataObjects\Model.cs" />
+    <Compile Include="HeuristicLabModelingDatabaseSQLServerCompactPlugin.cs" />
     <Compile Include="ModelingDataContext.cs" />
     <Compile Include="DataObjects\ModelResult.cs" />
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLabModelingDatabaseSQLServerCompactPlugin.cs
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLabModelingDatabaseSQLServerCompactPlugin.cs	(revision 2207)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLabModelingDatabaseSQLServerCompactPlugin.cs	(revision 2207)
@@ -0,0 +1,38 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Modeling.Database.SQLServerCompact {
+  [ClassInfo(Name = "HeuristicLab.Modeling.Database.SQLServerCompact-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Modeling.Database.SQLServerCompact-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.DataAnalysis-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Modeling-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Modeling.Database-3.2")]
+  [Dependency(Dependency = "HeuristicLab.SQLServerCompact-3.2")]  
+  public class HeuristicLabModelingDatabaseSQLServerCompactPlugin : PluginBase {
+  }
+}
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database/3.2/HeuristicLabModelingDatabasePlugin.cs
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database/3.2/HeuristicLabModelingDatabasePlugin.cs	(revision 2206)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database/3.2/HeuristicLabModelingDatabasePlugin.cs	(revision 2207)
@@ -28,4 +28,5 @@
   [ClassInfo(Name = "HeuristicLab.Modeling.Database-3.2")]
   [PluginFile(Filename = "HeuristicLab.Modeling.Database-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Modeling-3.2")]
   public class HeuristicLabModelingDatabasePlugin : PluginBase {
   }
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database/3.2/IModelingDatabase.cs
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database/3.2/IModelingDatabase.cs	(revision 2206)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database/3.2/IModelingDatabase.cs	(revision 2207)
@@ -30,6 +30,7 @@
     IEnumerable<IModel> GetAllModels();
     IEnumerable<IResult> GetAllResults();
+    IEnumerable<IResult> GetAllResultsForInputVariables();
     IEnumerable<IModelResult> GetModelResults(IModel model);
-    IEnumerable<IInputVariableResult> GetInputVariableResults(IModel model);
+    IEnumerable<IInputVariableResult> GetInputVariableResults(IModel model);    
   }
 }
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLab.SQLServerCompact-3.2.csproj
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLab.SQLServerCompact-3.2.csproj	(revision 2206)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLab.SQLServerCompact-3.2.csproj	(revision 2207)
@@ -82,5 +82,5 @@
   <ItemGroup>
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="SQLServerCompactPlugin.cs" />
+    <Compile Include="HeuristicLabSQLServerCompactPlugin.cs" />
   </ItemGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLabSQLServerCompactPlugin.cs
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLabSQLServerCompactPlugin.cs	(revision 2207)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLabSQLServerCompactPlugin.cs	(revision 2207)
@@ -0,0 +1,21 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.SQLServerCompact {
+  [ClassInfo(Name = "HeuristicLab.SQLServerCompact-3.2")]
+  [PluginFile(Filename = "HeuristicLab.SQLServerCompact-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [PluginFile(Filename = "sqlceca35.dll", Filetype = PluginFileType.Assembly)]
+  [PluginFile(Filename = "sqlcecompact35.dll", Filetype = PluginFileType.Assembly)]
+  [PluginFile(Filename = "sqlceer35EN.dll", Filetype = PluginFileType.Assembly)]
+  [PluginFile(Filename = "sqlceme35.dll", Filetype = PluginFileType.Assembly)]
+  [PluginFile(Filename = "sqlceoledb35.dll", Filetype = PluginFileType.Assembly)]
+  [PluginFile(Filename = "sqlceqp35.dll", Filetype = PluginFileType.Assembly)]
+  [PluginFile(Filename = "sqlcese35.dll", Filetype = PluginFileType.Assembly)]
+  [PluginFile(Filename = "System.Data.SqlServerCe.Entity.dll", Filetype = PluginFileType.Assembly)]
+  public class HeuristicLabSQLServerCompactPlugin : PluginBase {
+  }
+}
Index: anches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.SQLServerCompact/3.2/SQLServerCompactPlugin.cs
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.SQLServerCompact/3.2/SQLServerCompactPlugin.cs	(revision 2206)
+++ 	(revision )
@@ -1,21 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.SQLServerCompact {
-  [ClassInfo(Name = "SQLServerCompact")]
-  [PluginFile(Filename = "SQLServerCompact.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "sqlceca35.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "sqlcecompact35.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "sqlceer35EN.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "sqlceme35.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "sqlceoledb35.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "sqlceqp35.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "sqlcese35.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "System.Data.SqlServerCe.Entity.dll", Filetype = PluginFileType.Assembly)]
-  public class SQLServerCompactPlugin : PluginBase {
-  }
-}
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.sln
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.sln	(revision 2206)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.sln	(revision 2207)
@@ -239,4 +239,6 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Modeling.Database.SQLServerCompact-3.2", "HeuristicLab.Modeling.Database.SQLServerCompact\3.2\HeuristicLab.Modeling.Database.SQLServerCompact-3.2.csproj", "{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SQLServerCompact-3.2", "HeuristicLab.SQLServerCompact\3.2\HeuristicLab.SQLServerCompact-3.2.csproj", "{31DD6385-7276-49ED-9533-823D4CDF3D2A}"
 EndProject
 Global
@@ -3835,4 +3837,40 @@
 		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Visualization Debug|x86.ActiveCfg = Debug|x86
 		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836}.Visualization Debug|x86.Build.0 = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x64.ActiveCfg = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x64.Build.0 = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.CEDMA Debug|x86.Build.0 = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x64.ActiveCfg = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x64.Build.0 = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x86.ActiveCfg = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Debug|x86.Build.0 = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|Any CPU.Build.0 = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x64.ActiveCfg = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x64.Build.0 = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x86.ActiveCfg = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Modeling Debug|x86.Build.0 = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|Any CPU.Build.0 = Release|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x64.ActiveCfg = Release|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x64.Build.0 = Release|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x86.ActiveCfg = Release|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Release|x86.Build.0 = Release|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.v3.2 Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.v3.2 Debug|Any CPU.Build.0 = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.v3.2 Debug|x64.ActiveCfg = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.v3.2 Debug|x64.Build.0 = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.v3.2 Debug|x86.ActiveCfg = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.v3.2 Debug|x86.Build.0 = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Visualization Debug|x64.ActiveCfg = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Visualization Debug|x64.Build.0 = Debug|x64
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A}.Visualization Debug|x86.Build.0 = Debug|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -3923,4 +3961,5 @@
 		{E84E5717-79F8-498F-A5E0-A055C4EC086B} = {410732DB-725A-4824-896B-C298978343C0}
 		{EC1AA756-D612-4FA6-AA52-25CF4F8E3836} = {410732DB-725A-4824-896B-C298978343C0}
+		{31DD6385-7276-49ED-9533-823D4CDF3D2A} = {410732DB-725A-4824-896B-C298978343C0}
 		{A9E282EA-180F-4233-B809-AEDF0787545C} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
 		{BF7D9494-A586-457B-8DF9-ED599F9E6A71} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}