Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Core/3.3/HeuristicLabCedmaCorePlugin.cs
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Core/3.3/HeuristicLabCedmaCorePlugin.cs	(revision 2212)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Core/3.3/HeuristicLabCedmaCorePlugin.cs	(revision 2213)
@@ -31,6 +31,7 @@
   [Dependency(Dependency = "HeuristicLab.Data-3.2")]
   [Dependency(Dependency = "HeuristicLab.DataAnalysis-3.2")]
-  [Dependency(Dependency = "HeuristicLab.CEDMA.DB.Interfaces-3.3")]
   [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Modeling.Database-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Modeling.Database.SQLServerCompact-3.2")]
   public class HeuristicLabCedmaCorePlugin : PluginBase {
   }
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/HeuristicLabCedmaServerPlugin.cs
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/HeuristicLabCedmaServerPlugin.cs	(revision 2212)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.CEDMA.Server/3.3/HeuristicLabCedmaServerPlugin.cs	(revision 2213)
@@ -28,6 +28,4 @@
   [ClassInfo(Name = "HeuristicLab.CEDMA.Server-3.3")]
   [PluginFile(Filename = "HeuristicLab.CEDMA.Server-3.3.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.CEDMA.DB.Interfaces-3.3")]
-  [Dependency(Dependency = "HeuristicLab.CEDMA.DB-3.3")]
   [Dependency(Dependency = "HeuristicLab.Grid-3.2")]
   [Dependency(Dependency = "HeuristicLab.Grid.HiveBridge-3.2")]
@@ -36,4 +34,6 @@
   [Dependency(Dependency = "HeuristicLab.DataAnalysis-3.2")]
   [Dependency(Dependency = "HeuristicLab.Modeling-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Modeling.Database-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Modeling.Database.SQLServerCompact-3.2")]
   [Dependency(Dependency = "HeuristicLab.Tracing-3.2")]
   public class HeuristicLabCedmaServerPlugin : PluginBase {
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLab.Modeling.Database.SQLServerCompact-3.2.csproj
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLab.Modeling.Database.SQLServerCompact-3.2.csproj	(revision 2212)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.Modeling.Database.SQLServerCompact/3.2/HeuristicLab.Modeling.Database.SQLServerCompact-3.2.csproj	(revision 2213)
@@ -111,4 +111,8 @@
       <Name>HeuristicLab.PluginInfrastructure</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.SQLServerCompact\3.2\HeuristicLab.SQLServerCompact-3.2.csproj">
+      <Project>{31DD6385-7276-49ED-9533-823D4CDF3D2A}</Project>
+      <Name>HeuristicLab.SQLServerCompact-3.2</Name>
+    </ProjectReference>
   </ItemGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLab.SQLServerCompact-3.2.csproj
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLab.SQLServerCompact-3.2.csproj	(revision 2212)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLab.SQLServerCompact-3.2.csproj	(revision 2213)
@@ -84,4 +84,7 @@
   </ItemGroup>
   <ItemGroup>
+    <Content Include="System.Data.SqlServerCe.dll">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </Content>
     <Content Include="System.Data.SqlServerCe.Entity.dll">
       <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
@@ -112,4 +115,7 @@
     <None Include="Properties\AssemblyInfo.frame" />
   </ItemGroup>
+  <ItemGroup>
+    <WCFMetadata Include="Service References\" />
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLabSQLServerCompactPlugin.cs
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLabSQLServerCompactPlugin.cs	(revision 2212)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab.SQLServerCompact/3.2/HeuristicLabSQLServerCompactPlugin.cs	(revision 2213)
@@ -9,12 +9,5 @@
   [ClassInfo(Name = "HeuristicLab.SQLServerCompact-3.2")]
   [PluginFile(Filename = "HeuristicLab.SQLServerCompact-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "sqlceca35.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "sqlcecompact35.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "sqlceer35EN.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "sqlceme35.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "sqlceoledb35.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "sqlceqp35.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "sqlcese35.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "System.Data.SqlServerCe.Entity.dll", Filetype = PluginFileType.Assembly)]
+  [PluginFile(Filename = "System.Data.SqlServerCe.dll", Filetype = PluginFileType.Assembly)] 
   public class HeuristicLabSQLServerCompactPlugin : PluginBase {
   }
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab/CopyAssemblies.cmd
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab/CopyAssemblies.cmd	(revision 2212)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab/CopyAssemblies.cmd	(revision 2213)
@@ -111,5 +111,5 @@
 copy "%SolutionDir%\HeuristicLab.SQLite\3.2\SQLite.NET.chm" .\plugins
 copy "%SolutionDir%\HeuristicLAb.SQLServerCompact\3.2\%Outdir%\HeuristicLab.SQLServerCompact-3.2.dll" .\plugins
-copy "%SolutionDir%\HeuristicLAb.SQLServerCompact\3.2\%Outdir%\System.Data.SqlServerCe.Entity.dll" .\plugins
+copy "%SolutionDir%\HeuristicLAb.SQLServerCompact\3.2\%Outdir%\System.Data.SqlServerCe.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.StatisticalAnalysis\3.2\%Outdir%\HeuristicLab.StatisticalAnalysis-3.2.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.SupportVectorMachines\3.2\%Outdir%\HeuristicLab.SupportVectorMachines-3.2.dll" .\plugins
Index: /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab/app.config
===================================================================
--- /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab/app.config	(revision 2212)
+++ /branches/HeuristicLab.Modeling Database Backend/sources/HeuristicLab/app.config	(revision 2213)
@@ -15,5 +15,10 @@
       <remove invariant="System.Data.SQLite"/>
       <add name="SQLite Data Provider" invariant="System.Data.SQLite"
-           description=".Net Framework Data Provider for SQLite"           type="System.Data.SQLite.SQLiteFactory, System.Data.SQLite" />
+           description=".Net Framework Data Provider for SQLite"           
+           type="System.Data.SQLite.SQLiteFactory, System.Data.SQLite" />
+      <remove invariant="System.Data.SqlServerCe.3.5" />
+      <add name="Microsoft SQL Server Compact Data Provider" invariant="System.Data.SqlServerCe.3.5" 
+           description=".NET Framework Data Provider for Microsoft SQL Server Compact" 
+           type="System.Data.SqlServerCe.SqlCeProviderFactory, System.Data.SqlServerCe, Version=3.5.1.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"/>
     </DbProviderFactories>
   </system.data>