Index: branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/DispatcherBase.cs
===================================================================
--- branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/DispatcherBase.cs	(revision 2214)
+++ branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/DispatcherBase.cs	(revision 2215)
@@ -32,5 +32,4 @@
 using System.Linq;
 using HeuristicLab.CEDMA.Core;
-using HeuristicLab.GP.StructureIdentification;
 using HeuristicLab.Data;
 using HeuristicLab.Core;
Index: branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/ExecuterBase.cs
===================================================================
--- branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/ExecuterBase.cs	(revision 2214)
+++ branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/ExecuterBase.cs	(revision 2215)
@@ -32,5 +32,4 @@
 using System.Linq;
 using HeuristicLab.CEDMA.Core;
-using HeuristicLab.GP.StructureIdentification;
 using HeuristicLab.Data;
 using HeuristicLab.Grid;
Index: branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/GridExecuter.cs
===================================================================
--- branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/GridExecuter.cs	(revision 2214)
+++ branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/GridExecuter.cs	(revision 2215)
@@ -32,5 +32,4 @@
 using System.Linq;
 using HeuristicLab.CEDMA.Core;
-using HeuristicLab.GP.StructureIdentification;
 using HeuristicLab.Data;
 using HeuristicLab.Grid;
Index: branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/IDispatcher.cs
===================================================================
--- branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/IDispatcher.cs	(revision 2214)
+++ branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/IDispatcher.cs	(revision 2215)
@@ -20,18 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Windows.Forms;
-using HeuristicLab.PluginInfrastructure;
-using System.Net;
-using System.ServiceModel;
-using HeuristicLab.CEDMA.DB.Interfaces;
-using HeuristicLab.CEDMA.DB;
-using System.ServiceModel.Description;
-using System.Linq;
-using HeuristicLab.CEDMA.Core;
-using HeuristicLab.GP.StructureIdentification;
-using HeuristicLab.Data;
 using HeuristicLab.Core;
 using HeuristicLab.Modeling;
Index: branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/IExecuter.cs
===================================================================
--- branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/IExecuter.cs	(revision 2214)
+++ branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/IExecuter.cs	(revision 2215)
@@ -20,18 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Windows.Forms;
-using HeuristicLab.PluginInfrastructure;
-using System.Net;
-using System.ServiceModel;
-using HeuristicLab.CEDMA.DB.Interfaces;
-using HeuristicLab.CEDMA.DB;
-using System.ServiceModel.Description;
-using System.Linq;
-using HeuristicLab.CEDMA.Core;
-using HeuristicLab.GP.StructureIdentification;
-using HeuristicLab.Data;
 using HeuristicLab.Core;
 
Index: branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/SimpleDispatcher.cs
===================================================================
--- branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/SimpleDispatcher.cs	(revision 2214)
+++ branches/GP-Refactoring-713/sources/HeuristicLab.CEDMA.Server/3.3/SimpleDispatcher.cs	(revision 2215)
@@ -32,5 +32,4 @@
 using System.Linq;
 using HeuristicLab.CEDMA.Core;
-using HeuristicLab.GP.StructureIdentification;
 using HeuristicLab.Data;
 using HeuristicLab.Core;
Index: branches/GP-Refactoring-713/sources/HeuristicLab.SupportVectorMachines/3.2/SupportVectorRegression.cs
===================================================================
--- branches/GP-Refactoring-713/sources/HeuristicLab.SupportVectorMachines/3.2/SupportVectorRegression.cs	(revision 2214)
+++ branches/GP-Refactoring-713/sources/HeuristicLab.SupportVectorMachines/3.2/SupportVectorRegression.cs	(revision 2215)
@@ -30,5 +30,4 @@
 using HeuristicLab.Data;
 using HeuristicLab.Operators;
-using HeuristicLab.GP.StructureIdentification;
 using HeuristicLab.Logging;
 using HeuristicLab.Operators.Programmable;